
Figure - Bug #118904
【AF】【EVT3】【输入法】 OTA升级之前是原生输入法，升级之后无法调起百度输入法
2023-06-27 15:11 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-27

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0114

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 0629

Reproducibility: Every time Fixed Version: 2023-06-29

Test Type: ST Root cause: 问题原因：��oat时数据的更新存在异常。��问题处理：��调整了数据升级的处理逻辑。

Description

【测试版本】

升级前-0113

升级后-0114

【测试情况】

OTA升级之前是原生输入法，升级之后无法调起百度输入法

History

#1 - 2023-06-27 19:00 - CD FW王武军

【】当前状态

1）从问题现场，获取的信息：默认的输入法还是aosp输入法，并未切换为百度输入法。逻辑中有针对aosp输入法的过滤，所以输入法并不能被调起。

2）我刷了27号的非oat版本，百度输入法是正常工作的。

进一步分析

aosp输入法在oat后没有被替换，说明oat的数据库升级逻辑存在问题，这个需要检查。

另外发现的问题，在管理屏幕键盘的这个设置界面中依旧存在：aosp的显示，这个显示应该也是受到了数据库值的影响。

目前在Jenkins编译一个修改的测试版本：

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/210496

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/4643/

修改的方向是针对oat数据库升级和管理屏幕键盘显示数据的进一步过滤。

【】下一步

1）等待Jenkins版本的验证，确认下一步修改方向

#2 - 2023-06-28 15:34 - CD FW王武军

- Status changed from New to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/210496
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/4643/


- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-29

- Root cause set to 问题原因：

oat时数据的更新存在异常。

问题处理：

调整了数据升级的处理逻辑。

【】当前状态

通过Jenkins版本进行了oat验证。

原生输入法被百度输入法正常替换，并且屏幕键盘列表和输入法选择列表中都未显示原生输入法。

代码已经入库。

【】下一步

测试在正式环境进行确认。

#3 - 2023-06-29 17:14 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0629

6.29

验证通过

#4 - 2023-06-29 17:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
